# $Revision: 1.48 $, $Date: 2010/11/12 23:38:18 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	IDEA
Summary:	Crypt::IDEA - Perl interface to IDEA block cipher
Summary(pl.UTF-8):	Crypt::IDEA - interfejs perlowy do szyfru blokowego IDEA
Name:		perl-Crypt-IDEA
Version:	1.08
Release:	6
License:	BSD-like (see COPYRIGHT)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6718c630fa8ac28cb989b7db763ed97c
URL:		http://search.cpan.org/dist/Crypt-IDEA/
Patch0:		%{name}-paths.patch
Patch1:		%{name}-5.6.0.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::IDEA Perl extension is an implementation of the IDEA block
cipher algorithm.

%description -l pl.UTF-8
Rozszerzenie Perla Crypt::IDEA stanowi implementację algorytmu
szyfrowania blokowego IDEA.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p0
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Crypt/._test.pl
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Crypt/IDEA.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT
%{perl_vendorarch}/Crypt/IDEA.pm
%dir %{perl_vendorarch}/auto/Crypt/IDEA
%{perl_vendorarch}/auto/Crypt/IDEA/IDEA.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/IDEA/IDEA.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-IDEA.spec,v $
Revision 1.48  2010/11/12 23:38:18  pawelz
- release 6

Revision 1.47  2010/06/06 08:32:56  arekm
- release 5

Revision 1.46  2009/03/14 11:32:19  hawk
- release 4

Revision 1.45  2008/03/02 17:31:12  radek
- release 3

Revision 1.44  2008-02-10 12:03:42  arekm
- rel 2

Revision 1.43  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.42  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.41  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.40  2006/07/26 23:02:34  glen
- 1.08, generic URL

Revision 1.39  2006/01/22 12:06:25  agaran
- up to 1.06 rel 0.1

Revision 1.38  2004/11/03 22:30:13  paladine
- formatting

Revision 1.37  2004/06/05 18:10:35  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.36  2004/05/07 01:09:17  ankry
- rel. 3

Revision 1.35  2004/05/06 18:09:24  ankry
- fixed perl-devel BR

Revision 1.34  2004/04/25 15:21:12  ankry
- tests added

Revision 1.33  2004/04/19 20:42:17  ankry
- better summary and description

Revision 1.32  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.31  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:08:35  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 18:46:30  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:37:43  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:28:54  ankry
- massive attack: change CPAN URLs

Revision 1.23  2003/02/05 16:17:35  ankry
- autoupdated to 1.02

Revision 1.22  2002/07/22 21:34:46  ankry
- translations, cleaning

Revision 1.21  2002/07/21 12:24:06  qboosh
- fixed License(!!!) and pl description, added COPYRIGHT to doc; release 6

Revision 1.20  2002/07/10 08:46:45  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:30:24  depesz
- cleanup; revision++

Revision 1.17  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:10:46  depesz
- automatic: Source location unified, Relase Up

Revision 1.15  2002/02/10 15:39:12  depesz
- adapterized

Revision 1.14  2002/01/18 02:14:13  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/05/02 21:51:25  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.12  2001/04/17 12:07:00  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/25 20:03:44  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.9  2000/12/30 05:47:18  agaran
- added patch for build against perl-5.6

Revision 1.8  2000/12/30 04:44:12  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:23:32  kloczek
- added using %{__make} macro.

Revision 1.6  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 20:37:33  pius
- updated to 1.01

Revision 1.2  1999/11/09 02:19:15  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/02 21:49:54  pius
- initial release
